from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.1'
DESCRIPTION = 'Preprocess, segment uploaded image'
LONG_DESCRIPTION = 'A sample package to pre-process an image and display the original image, segmented image, and edges'


# Setting up
setup(
    name="proc_img",
    version=VERSION,
    author="Siddhartha Chappidi",
    author_email="<chappidisiddhartha59736@gmail.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['numpy', 'matplotlib', 'opencv-python'],
    keywords=['python', 'opencv','image segmentation'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)